Package org.apache.commons.collections4.multiset

# Class AbstractMapMultiSet.MultiSetEntry<E>

java.lang.Object
org.apache.commons.collections4.multiset.AbstractMultiSet.AbstractEntry<E>
org.apache.commons.collections4.multiset.AbstractMapMultiSet.MultiSetEntry<E>

Type Parameters:
  `E` - The key type.

All Implemented Interfaces:
  `MultiSet.Entry<E>`

Enclosing class:
  `AbstractMapMultiSet<E>`

protected static class AbstractMapMultiSet.MultiSetEntry<E> extends AbstractMultiSet.AbstractEntry<E>
Inner class MultiSetEntry.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Map.Entry<E,AbstractMapMultiSet.MutableInteger>`
  `parentEntry`
  The parent entry.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MultiSetEntry(Map.Entry<E,AbstractMapMultiSet.MutableInteger> parentEntry)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  Gets the number of occurrences for the element of this entry.
  `E`
  `getElement()`
  Gets the element corresponding to this entry.

  ### Methods inherited from class org.apache.commons.collections4.multiset.AbstractMultiSet.AbstractEntry

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### parentEntry

    protected final Map.Entry<E,AbstractMapMultiSet.MutableInteger> parentEntry
    The parent entry.

- ## Constructor Details

  - ### MultiSetEntry

    protected MultiSetEntry(Map.Entry<E,AbstractMapMultiSet.MutableInteger> parentEntry)
    Constructs a new instance.
    Parameters:
      `parentEntry` - The entry to decorate.

- ## Method Details

  - ### getCount

    public int getCount()
    Description copied from interface: `MultiSet.Entry`
    Gets the number of occurrences for the element of this entry.
    Returns:
      The number of occurrences of the element.

  - ### getElement

    public E getElement()
    Description copied from interface: `MultiSet.Entry`
    Gets the element corresponding to this entry.
    Returns:
      The element corresponding to this entry.